<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Hemagglutination of a single serum dilution — simulate_hemagglutination • himodel</title>

<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



<meta property="og:title" content="Hemagglutination of a single serum dilution — simulate_hemagglutination" />

<meta property="og:description" content="Returns the degree of hemagglutination for a single serum
  dilution and specified input values. Wrapper function that consecutively
  executes hemagglutinin_occupancy,
  virus_density_on_rbc and
  hemagglutination_degree.
  Follows by default the WHO hemagglutination inhibition (HI) assay protocol
  for pandemic influenza A/California/7/2009 (H1N1)." />
<meta name="twitter:card" content="summary" />



<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body>
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../articles/himodel.html">Get started</a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
      </ul>
      
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>Hemagglutination of a single serum dilution</h1>
    
    <div class="hidden name"><code>simulate_hemagglutination.Rd</code></div>
    </div>

    <div class="ref-description">
    
    <p>Returns the degree of hemagglutination for a single serum
  dilution and specified input values. Wrapper function that consecutively
  executes <code><a href='hemagglutinin_occupancy.html'>hemagglutinin_occupancy</a></code>,
  <code><a href='virus_density_on_rbc.html'>virus_density_on_rbc</a></code> and
  <code><a href='hemagglutination_degree.html'>hemagglutination_degree</a></code>.
  Follows by default the WHO hemagglutination inhibition (HI) assay protocol
  for pandemic influenza A/California/7/2009 (H1N1).</p>
    
    </div>

    <pre class="usage"><span class='fu'>simulate_hemagglutination</span>(
  <span class='no'>ab_dilution_conc</span>,
  <span class='no'>K_d_app</span>,
  <span class='kw'>virus_conc</span> <span class='kw'>=</span> <span class='fl'>0.00013</span>,
  <span class='kw'>rbc_conc</span> <span class='kw'>=</span> <span class='fl'>3.114e-05</span>,
  <span class='kw'>t_readout</span> <span class='kw'>=</span> <span class='fl'>1800</span>,
  <span class='kw'>r</span> <span class='kw'>=</span> <span class='fl'>400</span>,
  <span class='kw'>e</span> <span class='kw'>=</span> <span class='fl'>3</span>,
  <span class='kw'>e_star</span> <span class='kw'>=</span> <span class='fl'>3</span>,
  <span class='kw'>k_ass_rbc</span> <span class='kw'>=</span> <span class='fl'>2e-06</span>,
  <span class='kw'>k_diss_rbc</span> <span class='kw'>=</span> <span class='fl'>2e-04</span>,
  <span class='kw'>b</span> <span class='kw'>=</span> <span class='fl'>0.45</span> * <span class='fl'>1e+06</span>,
  <span class='kw'>b_star</span> <span class='kw'>=</span> <span class='fl'>34</span>,
  <span class='kw'>k_agg</span> <span class='kw'>=</span> <span class='fl'>2e+06</span>,
  <span class='kw'>t_steps</span> <span class='kw'>=</span> <span class='fl'>1</span>,
  <span class='kw'>model</span> <span class='kw'>=</span> <span class='no'>model_virus_rbc_binding</span>,
  <span class='kw'>return_scalar</span> <span class='kw'>=</span> <span class='fl'>FALSE</span>,
  <span class='no'>...</span>
)</pre>
    
    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>ab_dilution_conc</th>
      <td><p>Antibody concentration in diluted serum in unit nM.</p></td>
    </tr>
    <tr>
      <th>K_d_app</th>
      <td><p>Apparent dissociation constant (avidity) of antibody-virus
interaction in unit nM.</p></td>
    </tr>
    <tr>
      <th>virus_conc</th>
      <td><p>Initial virus concentration in nM. Numeric value &gt; 0.
Default value corresponds to 4 HA units.</p></td>
    </tr>
    <tr>
      <th>rbc_conc</th>
      <td><p>Initial concentration of red blood cells (RBCs) in nM.
Numeric value &gt; 0. Default value corresponds to 0.75% (v/v) suspension.</p></td>
    </tr>
    <tr>
      <th>t_readout</th>
      <td><p>Readout time in seconds. Default is 1800 s (= 30 min).</p></td>
    </tr>
    <tr>
      <th>r</th>
      <td><p>Number of hemagglutinin receptors per virus, default is 400.</p></td>
    </tr>
    <tr>
      <th>e</th>
      <td><p>Number of epitopes per hemagglutinin receptor, default is 3.</p></td>
    </tr>
    <tr>
      <th>e_star</th>
      <td><p>Number of covered hemagglutinin epitopes by one bound antibody
molecule. Default is 3.</p></td>
    </tr>
    <tr>
      <th>k_ass_rbc</th>
      <td><p>Association rate constant of virus-RBC binding, default is
2e-6 per second (1/s).</p></td>
    </tr>
    <tr>
      <th>k_diss_rbc</th>
      <td><p>Dissociation rate constant of virus-RBC binding, default is
2e-4 per nM per second (1/(nM  s)).</p></td>
    </tr>
    <tr>
      <th>b</th>
      <td><p>Number of sialic acid linked receptors per RBC, default is 0.45*1e6.</p></td>
    </tr>
    <tr>
      <th>b_star</th>
      <td><p>Number of covered sialic acid linked receptors by one bound
virion, default is 34.</p></td>
    </tr>
    <tr>
      <th>k_agg</th>
      <td><p>Kinetic rate constant of agglutination, default set to 2e6 per
second (1/s).</p></td>
    </tr>
    <tr>
      <th>t_steps</th>
      <td><p>Time steps for ODE solver, default is 1 second.</p></td>
    </tr>
    <tr>
      <th>model</th>
      <td><p>ODE model of virus-RBC binding passed on to
<code><a href='https://rdrr.io/pkg/deSolve/man/ode.html'>ode</a></code>. Model is defined in
<code><a href='model_virus_rbc_binding.html'>model_virus_rbc_binding</a></code>.</p></td>
    </tr>
    <tr>
      <th>return_scalar</th>
      <td><p>Boolean, default is FALSE. If TRUE, the degree of
hemagglutination is returned as a numeric value. If FALSE, all results and
input values are returned as a data frame.</p></td>
    </tr>
    <tr>
      <th>...</th>
      <td><p>Other arguments passed on to <code><a href='https://rdrr.io/pkg/deSolve/man/ode.html'>ode</a></code>.</p></td>
    </tr>
    </table>
    
    <h2 class="hasAnchor" id="value"><a class="anchor" href="#value"></a>Value</h2>

    <p>A data frame containing all results and input values.</p>
    

    <h2 class="hasAnchor" id="examples"><a class="anchor" href="#examples"></a>Examples</h2>
    <pre class="examples"><div class='input'><span class='co'>## For a single sample:</span>
<span class='no'>results</span> <span class='kw'>&lt;-</span> <span class='fu'>simulate_hemagglutination</span>(
  <span class='kw'>ab_dilution_conc</span> <span class='kw'>=</span> <span class='fl'>5</span>, <span class='co'># nM</span>
  <span class='kw'>K_d_app</span> <span class='kw'>=</span> <span class='fl'>10</span> <span class='co'># nM</span>
)
<span class='no'>results</span>$<span class='no'>hemagg_degree</span></div><div class='output co'>#&gt; [1] 0.5763826</div><div class='input'>
<span class='co'>## For multiple samples:</span>
<span class='co'># Load library for functional programming</span>
<span class='fu'><a href='https://rdrr.io/r/base/library.html'>library</a></span>(<span class='no'>purrr</span>)

<span class='co'># Create data frame with sample-specific antibody concentrations and avidities</span>
<span class='no'>data</span> <span class='kw'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/data.frame.html'>data.frame</a></span>(<span class='kw'>ab_dilution_conc</span> <span class='kw'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/c.html'>c</a></span>(<span class='fl'>10</span>, <span class='fl'>1</span>, <span class='fl'>5</span>), <span class='kw'>K_d_app</span> <span class='kw'>=</span> <span class='fu'><a href='https://rdrr.io/r/base/c.html'>c</a></span>(<span class='fl'>10</span>, <span class='fl'>1</span>, <span class='fl'>0.5</span>))

<span class='co'># Iterate over all samples</span>
<span class='no'>results</span> <span class='kw'>&lt;-</span> <span class='kw pkg'>purrr</span><span class='kw ns'>::</span><span class='fu'><a href='https://purrr.tidyverse.org/reference/map.html'>map_df</a></span>(
  <span class='fl'>1</span>:<span class='fu'><a href='https://rdrr.io/r/base/nrow.html'>nrow</a></span>(<span class='no'>data</span>),
  ~ <span class='fu'>simulate_hemagglutination</span>(<span class='no'>data</span>$<span class='no'>ab_dilution_conc</span>[<span class='no'>.</span>], <span class='no'>data</span>$<span class='no'>K_d_app</span>[<span class='no'>.</span>])
)

<span class='no'>results</span>[, <span class='fl'>1</span>:<span class='fl'>3</span>]</div><div class='output co'>#&gt;   ab_dilution_conc K_d_app hemagg_degree
#&gt; 1               10    10.0   0.391630377
#&gt; 2                1     1.0   0.400181265
#&gt; 3                5     0.5   0.007034455</div></pre>
  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <h2>Contents</h2>
    <ul class="nav nav-pills nav-stacked">
      <li><a href="#arguments">Arguments</a></li>
      
      <li><a href="#value">Value</a></li>
      
      <li><a href="#examples">Examples</a></li>
    </ul>

  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


